Management Groups - List

Gets a list of management groups connected to a workspace.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/managementGroups?api-version=2026-03-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 4
maxLength: 63
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

WorkspaceListManagementGroupsResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

WorkspacesListManagementGroups

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.OperationalInsights/workspaces/TestLinkWS/managementGroups?api-version=2026-03-01

Sample response

{
  "value": []
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagementGroup

A management group that is connected to a workspace

WorkspaceListManagementGroupsResult

The list workspace management groups operation response.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagementGroup

A management group that is connected to a workspace

Name Type Description
properties.created

string (date-time)

The datetime that the management group was created.

properties.dataReceived

string (date-time)

The last datetime that the management group received data.

properties.id

string

The unique ID of the management group.

properties.isGateway

boolean

Gets or sets a value indicating whether the management group is a gateway.

properties.name

string

The name of the management group.

properties.serverCount

integer (int32)

The number of servers connected to the management group.

properties.sku

string

The SKU of System Center that is managing the management group.

properties.version

string

The version of System Center that is managing the management group.

WorkspaceListManagementGroupsResult

The list workspace management groups operation response.

Name Type Description
nextLink

string

The URL to get the next set of results.

value

ManagementGroup[]

Gets or sets a list of management groups attached to the workspace.